Description: Todos los modulos adhoc incluyendo localizaciones adhoc (la idea es mantener este que instale todo sin tests para que sea lo mas rapido posible)
Commit: ingadhoc/multi-store:cbc3099b
Subject: [13.0] [IMP] stock_multi_store: Add multi tag widget for warehouse
Author: Nicolás Mac Rouillon
Committer: Nicolás Mac Rouillon
Commit: ingadhoc/odoo-argentina:997081b6
Subject: [ADD] l10n_ar_ux: reference field is not unique when using documents
Author: Juan Jose Scarafia
Committer: Juan José Scarafía
Commit: ingadhoc/argentina-sale:3f86ae3a
Subject: [IMP] l10n_ar_stock: purchase_order_number in report_deliveryslip Added below the origin field
Author: nmadhoc
Committer: Juan José Scarafía
Commit: ingadhoc/stock:ff3e0a13
Subject: [FIX] Update manifest.
Author: Nicolás Mac Rouillon
Committer: Juan José Scarafía
Commit: ingadhoc/enterprise-extensions:a69d2846
Subject: [ADD]helpdesk_solutions: show solution at portal
Author: Pablo Paez
Committer: Juan José Scarafía
Commit: ingadhoc/product:d1408738
Subject: [13.0] [FIX] product_price_taxes_included: Compute by sudo to avoid right errors.
Author: Nicolás Mac Rouillon
Committer: Juan José Scarafía
Commit: ingadhoc/sale:46232b5d
Subject: [13.0] [IMP] portal_sale_distributor: Only show tree view for products.
Author: Nicolás Mac Rouillon
Committer: Juan José Scarafía
Commit: ingadhoc/aeroo_reports:6ce997aa
Subject: Fix bad syntax
Author: Lucas Soto
Committer: Juan José Scarafía
Commit: ingadhoc/purchase:fcd483a0
Subject: [13.0] [FIX] purchase_suggest: Use env company.
Author: Nicolás Mac Rouillon
Committer: Juan José Scarafía
Commit: ingadhoc/miscellaneous:22da858e
Subject: [ADD] base_report_to_print_node
Author: Andrés Zacchino
Committer: GitHub
Commit: ingadhoc/account-financial-tools:bfb67f0d
Subject: [IMP] account_ux: partner ledger ux
Author: Juan Jose Scarafia
Committer: Juan José Scarafía
Commit: ingadhoc/odoo-argentina-ee:70ae6a2f
Subject: [13.0] [FIX] account_tax_settlement: Setting amount currency in the correct sign.
Author: Nicolás Mac Rouillon
Committer: Juan José Scarafía
Commit: ingadhoc/multi-company:15f5654c
Subject: [13.0] [FIX] account_multic_fix: Use if instead elif to change in case the account of the line change.
Author: Nicolás Mac Rouillon
Committer: Juan José Scarafía
Commit: ingadhoc/account-payment:1bf3fd7e
Subject: [13.0] [IMP] account_payment_group: Re-adapt the payment template in v13.
Author: Nicolás Mac Rouillon
Committer: Juan José Scarafía
Commit: ingadhoc/account-invoicing:e99c746a
Subject: Revert "[13.0] [FIX] account_invoice_tax: use recompute_all_taxes to complete the change adding of tax."
Author: Katherine Zaoral
Committer: Juan José Scarafía
Commit: ingadhoc/website:e1af69c1
Subject: add dependabot
Author: Andres Zacchino
Committer: Juan José Scarafía
Commit: ingadhoc/partner:1e492a95
Subject: [FIX] partner_internal_code: remove broken translations
Author: Juan Jose Scarafia
Committer: Juan José Scarafía
Commit: ingadhoc/project:894af084
Subject: [IMP] clean travis/oca deps
Author: Juan Jose Scarafia
Committer: Juan Jose Scarafia
Commit: ingadhoc/hr:1064d483
Subject: [REF]
Author: Juan Jose Scarafia
Committer: Juan José Scarafía
Commit: odoo:8c6ad57e
Subject: [IMP] sale_coupon: Backport expiration cron from version 14.0
Author: jcoux
Committer: jcoux
Commit: enterprise:e71bdf72
Subject: [FIX] sale_renting: display correct time in description
Author: Nasreddin (bon)
Committer: Nasreddin (bon)
Commit: oca/social:05d9e7c9
Subject: Update translation files
Author: OCA Transbot
Committer: OCA Transbot
Commit: oca/product-pack:b53c3fe6
Subject: product_pack 13.0.1.0.1
Author: OCA-git-bot
Committer: OCA-git-bot
Commit: oca/report-print-send:a2566f99
Subject: base_report_to_printer 13.0.1.2.1
Author: OCA-git-bot
Committer: OCA-git-bot
Commit: oca/server-ux:fc851dfd
Subject: [UPD] addons table in README.md
Author: OCA-git-bot
Committer: OCA-git-bot
Commit: oca/stock-logistics-workflow:c2e99c84
Subject: delivery_total_weight_from_packaging 13.0.1.1.0
Author: OCA-git-bot
Committer: OCA-git-bot
Commit: oca/purchase-workflow:3371033d
Subject: purchase_order_approval_block 13.0.1.0.1
Author: OCA-git-bot
Committer: OCA-git-bot
Commit: oca/stock-logistics-warehouse:d228ce74
Subject: stock_vertical_lift 13.0.1.3.0
Author: OCA-git-bot
Committer: OCA-git-bot
Commit: oca/e-commerce:821079db
Subject: website_sale_product_minimal_price 13.0.1.0.2
Author: OCA-git-bot
Committer: OCA-git-bot
Commit: oca/server-tools:88cb7d47
Subject: base_custom_info 13.0.1.0.1
Author: OCA-git-bot
Committer: OCA-git-bot
Commit: oca/sale-workflow:7d6dd239
Subject: [UPD] addons table in README.md
Author: OCA-git-bot
Committer: OCA-git-bot
Commit: oca/web:62fbcd96
Subject: Added translation using Weblate (Portuguese (Brazil))
Author: Eder Brito
Committer: OCA Transbot
Version: 13.0
Config: Adhoc Conf (l10n_Ar no test)
Total time: 3m

Date Level Type Message
2021-03-30 19:45:54 INFO runbot Init build environment with config Adhoc Conf (l10n_Ar no test)
2021-03-30 19:45:54 Starting step base from config Adhoc Conf (l10n_Ar no test)
2021-03-30 19:45:54 INFO runbot Using Dockerfile Tag odoo:DockerDefaultadhocv13
2021-03-30 19:46:57 INFO server odoo.modules.loading:279 1 modules loaded in 6.44s, 0 queries
2021-03-30 19:47:07 INFO server odoo.modules.loading:279 11 modules loaded in 5.67s, 0 queries
2021-03-30 19:47:16 Step base finished in 82s
2021-03-30 19:47:16 Starting step l10n_ar_all_no_test from config Adhoc Conf (l10n_Ar no test)
2021-03-30 19:47:16 INFO runbot Using Dockerfile Tag odoo:DockerDefaultadhocv13
2021-03-30 19:48:19 INFO server odoo.modules.loading:279 1 modules loaded in 6.19s, 0 queries
2021-03-30 19:48:26 WARNING server odoo.modules.loading:563 Transient module states were reset
2021-03-30 19:48:26 ERROR server odoo.modules.registry:91
Failed to load registry
Traceback (most recent call last):
  File "/data/build/odoo/odoo/tools/convert.py", line 712, in parse
    self._tag_root(de)
  File "/data/build/odoo/odoo/tools/convert.py", line 674, in _tag_root
    f(rec)
  File "/data/build/odoo/odoo/tools/convert.py", line 577, in _tag_record
    record = model._load_records([data], self.mode == 'update')
  File "/data/build/odoo/odoo/models.py", line 4168, in _load_records
    records = self._load_records_create([data['values'] for data in to_create])
  File "/data/build/odoo/odoo/models.py", line 4082, in _load_records_create
    return self.create(values)
  File "<decorator-gen-32>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 475, in create
    return super(View, self).create(vals_list)
  File "<decorator-gen-3>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
  File "/data/build/odoo/odoo/models.py", line 3843, in create
    fields[0].determine_inverse(batch_recs)
  File "/data/build/odoo/odoo/fields.py", line 1155, in determine_inverse
    getattr(records, self.inverse)()
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 299, in _inverse_arch
    view.write(data)
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 493, in write
    res = super(View, self).write(self._compute_defaults(vals))
  File "/data/build/odoo/odoo/models.py", line 3632, in write
    real_recs._validate_fields(vals, inverse_fields)
  File "/data/build/odoo/odoo/models.py", line 1206, in _validate_fields
    check(self)
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 394, in _check_xml
    self.postprocess_and_fields(view.model, view_doc, view.id)
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 980, in postprocess_and_fields
    attrs_fields = get_attrs_field_names(self.env, node, Model, editable)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 147, in get_attrs_field_names
    process(arch, model, editable)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 145, in process
    process(child, model, editable, get)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 145, in process
    process(child, model, editable, get)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 145, in process
    process(child, model, editable, get)
  [Previous line repeated 2 more times]
  File "/data/build/odoo/odoo/tools/view_validation.py", line 129, in process
    process_attrs(val, get, key, val)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 105, in process_attrs
    for domain in safe_eval(expr).values():
  File "/data/build/odoo/odoo/tools/safe_eval.py", line 352, in safe_eval
    c = test_expr(expr, _SAFE_OPCODES, mode=mode)
  File "/data/build/odoo/odoo/tools/safe_eval.py", line 207, in test_expr
    code_obj = compile(expr, "", mode)
  File "<string>", line 1
    {'required': [('store_ids','!=', []])]}
                                       ^
SyntaxError: invalid syntax

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/data/build/odoo/odoo/modules/registry.py", line 86, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/data/build/odoo/odoo/modules/loading.py", line 423, in load_modules
    loaded_modules, update_module, models_to_check)
  File "/data/build/odoo/odoo/modules/loading.py", line 315, in load_marked_modules
    perform_checks=perform_checks, models_to_check=models_to_check
  File "/data/build/odoo/odoo/modules/loading.py", line 225, in load_module_graph
    load_data(cr, idref, mode, kind='data', package=package, report=report)
  File "/data/build/odoo/odoo/modules/loading.py", line 68, in load_data
    tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind, report)
  File "/data/build/odoo/odoo/tools/convert.py", line 736, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)
  File "/data/build/odoo/odoo/tools/convert.py", line 803, in convert_xml_import
    obj.parse(doc.getroot())
  File "/data/build/odoo/odoo/tools/convert.py", line 721, in parse
    exc_info[2]
  File "/data/build/odoo/odoo/tools/pycompat.py", line 13, in reraise
    raise value.with_traceback(tb)
  File "/data/build/odoo/odoo/tools/convert.py", line 712, in parse
    self._tag_root(de)
  File "/data/build/odoo/odoo/tools/convert.py", line 674, in _tag_root
    f(rec)
  File "/data/build/odoo/odoo/tools/convert.py", line 577, in _tag_record
    record = model._load_records([data], self.mode == 'update')
  File "/data/build/odoo/odoo/models.py", line 4168, in _load_records
    records = self._load_records_create([data['values'] for data in to_create])
  File "/data/build/odoo/odoo/models.py", line 4082, in _load_records_create
    return self.create(values)
  File "<decorator-gen-32>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 475, in create
    return super(View, self).create(vals_list)
  File "<decorator-gen-3>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
  File "/data/build/odoo/odoo/models.py", line 3843, in create
    fields[0].determine_inverse(batch_recs)
  File "/data/build/odoo/odoo/fields.py", line 1155, in determine_inverse
    getattr(records, self.inverse)()
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 299, in _inverse_arch
    view.write(data)
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 493, in write
    res = super(View, self).write(self._compute_defaults(vals))
  File "/data/build/odoo/odoo/models.py", line 3632, in write
    real_recs._validate_fields(vals, inverse_fields)
  File "/data/build/odoo/odoo/models.py", line 1206, in _validate_fields
    check(self)
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 394, in _check_xml
    self.postprocess_and_fields(view.model, view_doc, view.id)
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 980, in postprocess_and_fields
    attrs_fields = get_attrs_field_names(self.env, node, Model, editable)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 147, in get_attrs_field_names
    process(arch, model, editable)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 145, in process
    process(child, model, editable, get)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 145, in process
    process(child, model, editable, get)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 145, in process
    process(child, model, editable, get)
  [Previous line repeated 2 more times]
  File "/data/build/odoo/odoo/tools/view_validation.py", line 129, in process
    process_attrs(val, get, key, val)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 105, in process_attrs
    for domain in safe_eval(expr).values():
  File "/data/build/odoo/odoo/tools/safe_eval.py", line 352, in safe_eval
    c = test_expr(expr, _SAFE_OPCODES, mode=mode)
  File "/data/build/odoo/odoo/tools/safe_eval.py", line 207, in test_expr
    code_obj = compile(expr, "", mode)
odoo.tools.convert.ParseError: "invalid syntax
('', 1, 36, "{'required': [('store_ids','!=', []])]}")" while parsing /data/build/ingadhoc/multi-store/base_multi_store/views/res_users_view.xml:2, near
<odoo>
    <!-- Form -->
    <record id="view_store_users_form" model="ir.ui.view">
        <field name="name">store.users.form</field>
        <field name="model">res.users</field>
        <field name="inherit_id" ref="base.view_users_form"/>
        <field name="arch" type="xml">
            <xpath expr="//page[@name='access_rights']/group" position="after">
                <group string="Allowed Stores" groups="base_multi_store.group_multi_store">
                    <field string="Allowed Stores" name="store_ids" widget="many2many_tags"/>
                    <field string="Current Store" name="store_id" context="{'user_preference': 0}" attrs="{'required': [('store_ids','!=', []])]}"/>
                </group>
            </xpath>
        </field>
    </record>

    <record id="view_store_user_preference_form" model="ir.ui.view">
        <field name="name">store.user.preference.form</field>
        <field name="model">res.users</field>
        <field name="inherit_id" ref="base.view_users_form_simple_modif"/>
        <field name="arch" type="xml">
            <field name="tz" position="after">
                <field name="store_ids" invisible="1"/>
                <field name="store_id" readonly="0" context="{'user_preference':0}" options="{'no_create': True}" groups="base_multi_store.group_multi_store" attrs="{'required': [('store_ids','!=', False)]}"/>
            </field>
        </field>
    </record>
</odoo>
2021-03-30 19:48:26 CRITICAL server odoo.service.server:1221
Failed to initialize database `01393-13-0-all_no_test`.
Traceback (most recent call last):
  File "/data/build/odoo/odoo/tools/convert.py", line 712, in parse
    self._tag_root(de)
  File "/data/build/odoo/odoo/tools/convert.py", line 674, in _tag_root
    f(rec)
  File "/data/build/odoo/odoo/tools/convert.py", line 577, in _tag_record
    record = model._load_records([data], self.mode == 'update')
  File "/data/build/odoo/odoo/models.py", line 4168, in _load_records
    records = self._load_records_create([data['values'] for data in to_create])
  File "/data/build/odoo/odoo/models.py", line 4082, in _load_records_create
    return self.create(values)
  File "<decorator-gen-32>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 475, in create
    return super(View, self).create(vals_list)
  File "<decorator-gen-3>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
  File "/data/build/odoo/odoo/models.py", line 3843, in create
    fields[0].determine_inverse(batch_recs)
  File "/data/build/odoo/odoo/fields.py", line 1155, in determine_inverse
    getattr(records, self.inverse)()
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 299, in _inverse_arch
    view.write(data)
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 493, in write
    res = super(View, self).write(self._compute_defaults(vals))
  File "/data/build/odoo/odoo/models.py", line 3632, in write
    real_recs._validate_fields(vals, inverse_fields)
  File "/data/build/odoo/odoo/models.py", line 1206, in _validate_fields
    check(self)
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 394, in _check_xml
    self.postprocess_and_fields(view.model, view_doc, view.id)
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 980, in postprocess_and_fields
    attrs_fields = get_attrs_field_names(self.env, node, Model, editable)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 147, in get_attrs_field_names
    process(arch, model, editable)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 145, in process
    process(child, model, editable, get)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 145, in process
    process(child, model, editable, get)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 145, in process
    process(child, model, editable, get)
  [Previous line repeated 2 more times]
  File "/data/build/odoo/odoo/tools/view_validation.py", line 129, in process
    process_attrs(val, get, key, val)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 105, in process_attrs
    for domain in safe_eval(expr).values():
  File "/data/build/odoo/odoo/tools/safe_eval.py", line 352, in safe_eval
    c = test_expr(expr, _SAFE_OPCODES, mode=mode)
  File "/data/build/odoo/odoo/tools/safe_eval.py", line 207, in test_expr
    code_obj = compile(expr, "", mode)
  File "<string>", line 1
    {'required': [('store_ids','!=', []])]}
                                       ^
SyntaxError: invalid syntax

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/data/build/odoo/odoo/service/server.py", line 1190, in preload_registries
    registry = Registry.new(dbname, update_module=update_module)
  File "/data/build/odoo/odoo/modules/registry.py", line 86, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/data/build/odoo/odoo/modules/loading.py", line 423, in load_modules
    loaded_modules, update_module, models_to_check)
  File "/data/build/odoo/odoo/modules/loading.py", line 315, in load_marked_modules
    perform_checks=perform_checks, models_to_check=models_to_check
  File "/data/build/odoo/odoo/modules/loading.py", line 225, in load_module_graph
    load_data(cr, idref, mode, kind='data', package=package, report=report)
  File "/data/build/odoo/odoo/modules/loading.py", line 68, in load_data
    tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind, report)
  File "/data/build/odoo/odoo/tools/convert.py", line 736, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)
  File "/data/build/odoo/odoo/tools/convert.py", line 803, in convert_xml_import
    obj.parse(doc.getroot())
  File "/data/build/odoo/odoo/tools/convert.py", line 721, in parse
    exc_info[2]
  File "/data/build/odoo/odoo/tools/pycompat.py", line 13, in reraise
    raise value.with_traceback(tb)
  File "/data/build/odoo/odoo/tools/convert.py", line 712, in parse
    self._tag_root(de)
  File "/data/build/odoo/odoo/tools/convert.py", line 674, in _tag_root
    f(rec)
  File "/data/build/odoo/odoo/tools/convert.py", line 577, in _tag_record
    record = model._load_records([data], self.mode == 'update')
  File "/data/build/odoo/odoo/models.py", line 4168, in _load_records
    records = self._load_records_create([data['values'] for data in to_create])
  File "/data/build/odoo/odoo/models.py", line 4082, in _load_records_create
    return self.create(values)
  File "<decorator-gen-32>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 475, in create
    return super(View, self).create(vals_list)
  File "<decorator-gen-3>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
  File "/data/build/odoo/odoo/models.py", line 3843, in create
    fields[0].determine_inverse(batch_recs)
  File "/data/build/odoo/odoo/fields.py", line 1155, in determine_inverse
    getattr(records, self.inverse)()
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 299, in _inverse_arch
    view.write(data)
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 493, in write
    res = super(View, self).write(self._compute_defaults(vals))
  File "/data/build/odoo/odoo/models.py", line 3632, in write
    real_recs._validate_fields(vals, inverse_fields)
  File "/data/build/odoo/odoo/models.py", line 1206, in _validate_fields
    check(self)
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 394, in _check_xml
    self.postprocess_and_fields(view.model, view_doc, view.id)
  File "/data/build/odoo/odoo/addons/base/models/ir_ui_view.py", line 980, in postprocess_and_fields
    attrs_fields = get_attrs_field_names(self.env, node, Model, editable)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 147, in get_attrs_field_names
    process(arch, model, editable)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 145, in process
    process(child, model, editable, get)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 145, in process
    process(child, model, editable, get)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 145, in process
    process(child, model, editable, get)
  [Previous line repeated 2 more times]
  File "/data/build/odoo/odoo/tools/view_validation.py", line 129, in process
    process_attrs(val, get, key, val)
  File "/data/build/odoo/odoo/tools/view_validation.py", line 105, in process_attrs
    for domain in safe_eval(expr).values():
  File "/data/build/odoo/odoo/tools/safe_eval.py", line 352, in safe_eval
    c = test_expr(expr, _SAFE_OPCODES, mode=mode)
  File "/data/build/odoo/odoo/tools/safe_eval.py", line 207, in test_expr
    code_obj = compile(expr, "", mode)
odoo.tools.convert.ParseError: "invalid syntax
('', 1, 36, "{'required': [('store_ids','!=', []])]}")" while parsing /data/build/ingadhoc/multi-store/base_multi_store/views/res_users_view.xml:2, near
<odoo>
    <!-- Form -->
    <record id="view_store_users_form" model="ir.ui.view">
        <field name="name">store.users.form</field>
        <field name="model">res.users</field>
        <field name="inherit_id" ref="base.view_users_form"/>
        <field name="arch" type="xml">
            <xpath expr="//page[@name='access_rights']/group" position="after">
                <group string="Allowed Stores" groups="base_multi_store.group_multi_store">
                    <field string="Allowed Stores" name="store_ids" widget="many2many_tags"/>
                    <field string="Current Store" name="store_id" context="{'user_preference': 0}" attrs="{'required': [('store_ids','!=', []])]}"/>
                </group>
            </xpath>
        </field>
    </record>

    <record id="view_store_user_preference_form" model="ir.ui.view">
        <field name="name">store.user.preference.form</field>
        <field name="model">res.users</field>
        <field name="inherit_id" ref="base.view_users_form_simple_modif"/>
        <field name="arch" type="xml">
            <field name="tz" position="after">
                <field name="store_ids" invisible="1"/>
                <field name="store_id" readonly="0" context="{'user_preference':0}" options="{'no_create': True}" groups="base_multi_store.group_multi_store" attrs="{'required': [('store_ids','!=', False)]}"/>
            </field>
        </field>
    </record>
</odoo>
2021-03-30 19:48:27 Step l10n_ar_all_no_test finished in 71s
2021-03-30 19:48:27 Starting step setup from config Adhoc Conf (l10n_Ar no test)
2021-03-30 19:48:27 INFO runbot Using Dockerfile Tag odoo:DockerDefaultadhocv13
2021-03-30 19:48:45 INFO runbot Step setup finished in 18s
2021-03-30 19:48:45 Starting step run from config Adhoc Conf (l10n_Ar no test)
2021-03-30 19:48:45 INFO runbot Start running build 01393-13-0
2021-03-30 19:48:45 INFO runbot Using Dockerfile Tag odoo:DockerDefaultadhocv13
2021-03-30 19:49:39 INFO server odoo.modules.loading:279 1 modules loaded in 0.01s, 0 queries
2021-03-30 19:49:39 INFO server odoo.modules.loading:279 11 modules loaded in 0.07s, 0 queries
2021-03-31 12:30:19 INFO server odoo.modules.loading:279 1 modules loaded in 0.01s, 0 queries
2021-03-31 12:30:19 INFO server odoo.modules.loading:279 2 modules loaded in 0.02s, 0 queries
2021-04-01 13:07:18 ERROR runbot Docker with state GHOST not started after 60 seconds, skipping
2021-04-01 13:07:18 INFO runbot Step run finished in 41h